MENU navbar-image

🏨 Booking.com

Booking.com API for hotels, flights, and destination search.

Hotels & Details

Search and autocomplete destinations, cities, and locations with fast, real-time results.

GET /v1/hotels/autocomplete

requires authentication

Destination autocomplete suggestions using Booking.com API.

Example request:
import requests
import json

url = 'https://api.steadyapi.com/v1/booking/hotels/autocomplete'
params = {
  'search': 'oklah',
  'language': 'en-us',
}
headers = {
  'Authorization': 'Bearer {YOUR_AUTH_KEY}'
}

response = requests.request('GET', url, headers=headers, params=params)
response.json()
$client = new \GuzzleHttp\Client();
$url = 'https://api.steadyapi.com/v1/booking/hotels/autocomplete';
$response = $client->get(
    $url,
    [
        'headers' => [
            'Authorization' => 'Bearer {YOUR_AUTH_KEY}',
        ],
        'query' => [
            'search' => 'oklah',
            'language' => 'en-us',
        ],
    ]
);
$body = $response->getBody();
print_r(json_decode((string) $body));
const url = new URL(
    "https://api.steadyapi.com/v1/booking/hotels/autocomplete"
);

const params = {
    "search": "oklah",
    "language": "en-us",
};
Object.keys(params)
    .forEach(key => url.searchParams.append(key, params[key]));

const headers = {
    "Authorization": "Bearer {YOUR_AUTH_KEY}",
    "Accept": "application/json",
};

fetch(url, {
    method: "GET",
    headers,
}).then(response => response.json());
curl --request GET \
    --get "https://api.steadyapi.com/v1/booking/hotels/autocomplete?search=oklah&language=en-us" \
    --header "Authorization: Bearer {YOUR_AUTH_KEY}"

Example response (200, Success):


{
    "meta": {
        "version": "v1.0",
        "status": 200,
        "copywrite": "https://steadyapi.com",
        "query": "Oklahoma City",
        "language": "en-us",
        "total": 10,
        "timestamp": 1791644884000
    },
    "body": [
        {
            "id": "city/20103321",
            "type": "CITY",
            "name": "Oklahoma City",
            "full_name": "Oklahoma City, Oklahoma, United States of America",
            "subtitle": "Oklahoma, United States of America",
            "country_code": "us",
            "destination_id": "20103321",
            "coordinates": {
                "latitude": 35.4729881286621,
                "longitude": -97.5170516967773
            },
            "image_url": "https://www.booking.com/xdata/images/city/square150/1013817.jpg?k=e752b3f36f49e441eb37b1e1860568906216e4e6f77afe51d409b991d32b6fa3&o=",
            "label_components": [
                {
                    "name": "Oklahoma City",
                    "type": "CITY"
                },
                {
                    "name": "Oklahoma",
                    "type": "REGION"
                },
                {
                    "name": "United States of America",
                    "type": "COUNTRY"
                }
            ],
            "metadata": {
                "language_code": "xu",
                "max_stay": 90,
                "eligible_pages": [],
                "is_ski_destination": false,
                "source": "BRICK"
            },
            "city": "Oklahoma City"
        },
        {
            "id": "airport/207",
            "type": "AIRPORT",
            "name": "Will Rogers World Airport",
            "full_name": "Will Rogers World Airport, Oklahoma City, Oklahoma, United States",
            "subtitle": "Oklahoma City, Oklahoma, United States",
            "country_code": "us",
            "destination_id": "207",
            "coordinates": {
                "latitude": 35.3953018188477,
                "longitude": -97.5961990356445
            },
            "image_url": "https://www.booking.com/static/img/plane-100.jpg",
            "label_components": [
                {
                    "name": "Will Rogers World Airport",
                    "type": "AIRPORT"
                },
                {
                    "name": "Oklahoma City",
                    "type": "CITY"
                },
                {
                    "name": "Oklahoma",
                    "type": "REGION"
                },
                {
                    "name": "United States",
                    "type": "COUNTRY"
                }
            ],
            "metadata": {
                "language_code": "en",
                "max_stay": 90,
                "eligible_pages": [],
                "is_ski_destination": false,
                "source": "BRICK"
            },
            "airport": "Will Rogers World Airport",
            "airport_code": "207"
        }
    ]
}
 

Example response (401, Unauthenticated):


{
    "message": "Unauthenticated."
}
 

Example response (404, Not Found):


{
    "success": false,
    "message": "Resource Not Found"
}
 

Example response (422, Error Validations):


{
    "message": "The ticker field is required.",
    "errors": {
        "ticker": [
            "The ticker field is required."
        ]
    }
}
 

Request      

GET v1/booking/hotels/autocomplete

Headers

Authorization Bearer {YOUR_AUTH_KEY}

Query Parameters

Parameter Type Description
search required string

Search term for destination. Example: oklah

language optional string

optional Language code (default: en-us). Example: en-us

requires authentication

Search for hotels and properties in a destination using Booking.com API.

Example request:
import requests
import json

url = 'https://api.steadyapi.com/v1/booking/hotels/search'
params = {
  'dest_id': '20103321',
  'dest_type': 'CITY',
  'checkin': '2027-01-24',
  'checkout': '2027-01-27',
  'children_ages': '5,8',
  'language': 'en-us',
  'currency': 'EUR',
  'min_price': '40',
  'max_price': '70',
  'stars': '3,4',
  'filters[0]': 'mealplan=1',
  'filters[1]': 'price=USD-40-70-1',
}
headers = {
  'Authorization': 'Bearer {YOUR_AUTH_KEY}'
}

response = requests.request('GET', url, headers=headers, params=params)
response.json()
$client = new \GuzzleHttp\Client();
$url = 'https://api.steadyapi.com/v1/booking/hotels/search';
$response = $client->get(
    $url,
    [
        'headers' => [
            'Authorization' => 'Bearer {YOUR_AUTH_KEY}',
        ],
        'query' => [
            'dest_id' => '20103321',
            'dest_type' => 'CITY',
            'checkin' => '2027-01-24',
            'checkout' => '2027-01-27',
            'children_ages' => '5,8',
            'language' => 'en-us',
            'currency' => 'EUR',
            'min_price' => '40',
            'max_price' => '70',
            'stars' => '3,4',
            'filters[0]' => 'mealplan=1',
            'filters[1]' => 'price=USD-40-70-1',
        ],
    ]
);
$body = $response->getBody();
print_r(json_decode((string) $body));
const url = new URL(
    "https://api.steadyapi.com/v1/booking/hotels/search"
);

const params = {
    "dest_id": "20103321",
    "dest_type": "CITY",
    "checkin": "2027-01-24",
    "checkout": "2027-01-27",
    "children_ages": "5,8",
    "language": "en-us",
    "currency": "EUR",
    "min_price": "40",
    "max_price": "70",
    "stars": "3,4",
    "filters[0]": "mealplan=1",
    "filters[1]": "price=USD-40-70-1",
};
Object.keys(params)
    .forEach(key => url.searchParams.append(key, params[key]));

const headers = {
    "Authorization": "Bearer {YOUR_AUTH_KEY}",
    "Accept": "application/json",
};

fetch(url, {
    method: "GET",
    headers,
}).then(response => response.json());
curl --request GET \
    --get "https://api.steadyapi.com/v1/booking/hotels/search?dest_id=20103321&dest_type=CITY&checkin=2027-01-24&checkout=2027-01-27&children_ages=5%2C8&language=en-us&currency=EUR&min_price=40&max_price=70&stars=3%2C4&filters[]=mealplan%3D1&filters[]=price%3DUSD-40-70-1" \
    --header "Authorization: Bearer {YOUR_AUTH_KEY}"

Example response (200, Success):


{
    "meta": {
        "version": "v1.0",
        "status": 200,
        "copywrite": "https://steadyapi.com",
        "dest_id": "20014181",
        "dest_type": "CITY",
        "destination": "Los Angeles",
        "country_code": "us",
        "checkin": "2026-11-15",
        "checkout": "2026-11-18",
        "adults": "2",
        "children": 0,
        "rooms": "1",
        "page": 1,
        "per_page": "1",
        "total_results": 1260,
        "total_pages": 1260,
        "sort": "popularity",
        "filters_applied": 0,
        "availability_info": {
            "has_low_availability": false,
            "unavailable_percent": 52,
            "available_properties": 1260,
            "autoextended_properties": 0
        },
        "breadcrumbs": [
            {
                "name": "United States",
                "type": "COUNTRY",
                "url_parts": [
                    "us"
                ]
            },
            {
                "name": "California",
                "type": "REGION",
                "url_parts": [
                    "us",
                    "california"
                ]
            },
            {
                "name": "Los Angeles",
                "type": "CITY",
                "url_parts": [
                    "us",
                    "los-angeles"
                ]
            }
        ]
    },
    "body": [
        {
            "id": 56531,
            "name": "The Hollywood Franklin Hotel near Universal Studios",
            "description": null,
            "type": 204,
            "accommodation_type": 204,
            "accommodation_type_name": "HOTEL",
            "page_name": "best-western-hollywood-hills",
            "booking_url": "https://www.booking.com/hotel/us/best-western-hollywood-hills.html?checkin=2026-11-15&checkout=2026-11-18&group_adults=2&group_children=0&no_rooms=1",
            "facilities": [
                {
                    "name": "Heated pool",
                    "group": "Highlights"
                },
                {
                    "name": "Beach chairs/Loungers",
                    "group": "Highlights"
                }
            ],
            "is_closed": false,
            "is_test_property": false,
            "location": {
                "address": "6141 Franklin Avenue",
                "city": "Los Angeles (California)",
                "country_code": "us",
                "coordinates": {
                    "latitude": 34.1053930909925,
                    "longitude": -118.323472738266
                },
                "display_location": "Hollywood, Los Angeles",
                "distance_from_downtown": "5.9 miles from downtown"
            },
            "reviews": {
                "score": 8.5,
                "review_count": 5270,
                "score_text": "Very Good",
                "show_score": true,
                "personalized_summary": "",
                "personalized_reviews_count": 890
            },
            "photos": {
                "high_res": "https://cf.bstatic.com/xdata/images/hotel/square600/714785849.webp?k=5149ab90aa3e353390542f8ea98a3e4046b872aa7894040ff5f9719ed05d2a09&o=",
                "low_res": "https://cf.bstatic.com/xdata/images/hotel/square240/714785849.webp?k=5149ab90aa3e353390542f8ea98a3e4046b872aa7894040ff5f9719ed05d2a09&o=",
                "high_res_jpeg": "https://cf.bstatic.com/xdata/images/hotel/square600/714785849.jpg?k=c6d73e1f0432ff7d8ec763e66dd100e06bd3d9a1428b5dd845af410b39f97690&o=",
                "low_res_jpeg": "https://cf.bstatic.com/xdata/images/hotel/square240/714785849.jpg?k=c6d73e1f0432ff7d8ec763e66dd100e06bd3d9a1428b5dd845af410b39f97690&o=",
                "gallery": [
                    "https://cf.bstatic.com/xdata/images/hotel/square600/714785849.jpg?k=c6d73e1f0432ff7d8ec763e66dd100e06bd3d9a1428b5dd845af410b39f97690&o=",
                    "https://cf.bstatic.com/xdata/images/hotel/square600/714785849.webp?k=5149ab90aa3e353390542f8ea98a3e4046b872aa7894040ff5f9719ed05d2a09&o=",
                    "https://cf.bstatic.com/xdata/images/hotel/square240/714785849.webp?k=5149ab90aa3e353390542f8ea98a3e4046b872aa7894040ff5f9719ed05d2a09&o="
                ]
            },
            "star_rating": 3,
            "star_symbol": "NONE",
            "pricing": {
                "total_price": {
                    "amount": "$283.89",
                    "currency": "USD",
                    "amount_unformatted": 283.89,
                    "amount_rounded": "$284"
                },
                "average_price_per_night": {
                    "amount": "$94.03",
                    "currency": "USD",
                    "amount_unformatted": 94.0266666666667,
                    "amount_rounded": "$94"
                },
                "price_before_discount": {
                    "amount": "",
                    "currency": ""
                },
                "discounts": [],
                "badges": [],
                "taxes_and_fees": {
                    "amount": "$39.72",
                    "currency": "USD"
                }
            },
            "policies": {
                "free_cancellation": true,
                "no_prepayment": false,
                "pets_allowed_free": false
            },
            "meal_plan": {
                "included": null,
                "type": null
            },
            "genius_info": {
                "available": false,
                "show_badge": false
            },
            "blocks": [
                {
                    "room_id": "5653108",
                    "room_name": "Queen Room with Two Queen Beds",
                    "final_price": {
                        "amount": 283.89,
                        "currency": "USD"
                    },
                    "original_price": {
                        "amount": 283.89,
                        "currency": "USD"
                    },
                    "occupancy": 2,
                    "meal_plan_id": 0,
                    "meal_plan": "No meal plan",
                    "free_cancellation_until": "2026-10-11T15:13:03Z",
                    "has_crib": false,
                    "only_x_left": null
                }
            ],
            "available_blocks_count": 1,
            "metadata": {
                "host_trader_label": "PROFESSIONAL",
                "wishlist_count": 0,
                "is_tpi_exclusive": false,
                "sold_out": false,
                "sustainability": false
            }
        }
    ]
}
 

Example response (401, Unauthenticated):


{
    "message": "Unauthenticated."
}
 

Example response (404, Not Found):


{
    "success": false,
    "message": "Resource Not Found"
}
 

Example response (422, Error Validations):


{
    "message": "The ticker field is required.",
    "errors": {
        "ticker": [
            "The ticker field is required."
        ]
    }
}
 

GET /v1/hotels/search-by-coordinates

requires authentication

Search for hotels/properties by geographic coordinates.

Example request:
import requests
import json

url = 'https://api.steadyapi.com/v1/booking/hotels/search-by-coordinates'
params = {
  'latitude': '35.458611',
  'longitude': '-97.600556',
  'radius': '10',
  'checkin': '2027-01-24',
  'checkout': '2027-01-27',
  'adults': '2',
  'children_ages': '5,8',
  'language': 'en-us',
  'min_price': '50',
  'max_price': '300',
}
headers = {
  'Authorization': 'Bearer {YOUR_AUTH_KEY}'
}

response = requests.request('GET', url, headers=headers, params=params)
response.json()
$client = new \GuzzleHttp\Client();
$url = 'https://api.steadyapi.com/v1/booking/hotels/search-by-coordinates';
$response = $client->get(
    $url,
    [
        'headers' => [
            'Authorization' => 'Bearer {YOUR_AUTH_KEY}',
        ],
        'query' => [
            'latitude' => '35.458611',
            'longitude' => '-97.600556',
            'radius' => '10',
            'checkin' => '2027-01-24',
            'checkout' => '2027-01-27',
            'adults' => '2',
            'children_ages' => '5,8',
            'language' => 'en-us',
            'min_price' => '50',
            'max_price' => '300',
        ],
    ]
);
$body = $response->getBody();
print_r(json_decode((string) $body));
const url = new URL(
    "https://api.steadyapi.com/v1/booking/hotels/search-by-coordinates"
);

const params = {
    "latitude": "35.458611",
    "longitude": "-97.600556",
    "radius": "10",
    "checkin": "2027-01-24",
    "checkout": "2027-01-27",
    "adults": "2",
    "children_ages": "5,8",
    "language": "en-us",
    "min_price": "50",
    "max_price": "300",
};
Object.keys(params)
    .forEach(key => url.searchParams.append(key, params[key]));

const headers = {
    "Authorization": "Bearer {YOUR_AUTH_KEY}",
    "Accept": "application/json",
};

fetch(url, {
    method: "GET",
    headers,
}).then(response => response.json());
curl --request GET \
    --get "https://api.steadyapi.com/v1/booking/hotels/search-by-coordinates?latitude=35.458611&longitude=-97.600556&radius=10&checkin=2027-01-24&checkout=2027-01-27&adults=2&children_ages=5%2C8&language=en-us&min_price=50&max_price=300" \
    --header "Authorization: Bearer {YOUR_AUTH_KEY}"

Example response (200, Success):


{
    "meta": {
      "version": "v1.0",
      "status": 200,
      "copywrite": "https://steadyapi.com",
      "latitude": "35.458611",
      "longitude": "-97",
      "radius_km": "10",
      "checkin": "2026-01-24",
      "checkout": "2026-01-30",
      "adults": 2,
      "children": 0,
      "rooms": 1,
      "language": "en-us",
      "map_markers": [
        {
          "id": 20103163,
          "name": "Meeker",
          "coordinates": {
            "latitude": 35.5032997131348,
            "longitude": -96.9024963378906
          }
        }
      ]
    },
    "body": [
      {
        "hotel_id": 521256,
        "name": "Super 8 by Wyndham Shawnee",
        "accommodation_type": 204,
        "ufi": 20103613,
        "page_name": "super-8-shawnee",
        "location": {
          "address": "4900 North Harrison Street",
          "formatted_address": "4900 North Harrison Street, Shawnee, OK",
          "country_code": "us",
          "coordinates": {
            "latitude": 35.385774,
            "longitude": -96.91233
          },
          "beach_distance": null,
          "main_distance": null,
          "nearby_beach_names": [],
          "location_score": 7.4,
          "location_formatted_score": "7.4",
          "location_text": "Location"
        },
        "photos": {
          "low_res": "https://cf.bstatic.com/xdata/images/hotel/square240/156624265.webp?k=b39c258f54277e16e2f7681049c62e3853ea5957219da119a6e09d34029781e7&o=",
          "high_res": "https://cf.bstatic.com/xdata/images/hotel/square600/156624265.webp?k=b39c258f54277e16e2f7681049c62e3853ea5957219da119a6e09d34029781e7&o="
        },
        "ratings": { ... },
        "availability": { ... },
        "policies": { ... },
        "price_info": {
          "display_price": {
            "copy": "Total",
            "amount_per_stay": {
              "amount": "$309.60",
              "amount_rounded": "$310",
              "amount_unformatted": 309.6,
              "currency": "USD"
            }
          },
          "average_price_per_night": {
            "amount": "$51.60",
            "amount_rounded": "$52",
            "amount_unformatted": 51.6000000000001,
            "currency": "USD"
          },
          "price_before_discount": {
            "copy": "Original price",
            "amount_per_stay": {
              "amount": "$387",
              "amount_rounded": "$387",
              "amount_unformatted": 387,
              "currency": "USD"
            }
          },
          "discounts": [
            {
              "name": "Early 2026 Deal",
              "description": "This property is offering a discount on stays between Jan 1 and Apr 1 2026.",
              "item_type": "rate",
              "product_id": "campaign_37_rate_plan",
              "amount": {
                "amount": "$77.40",
                "amount_rounded": "$77",
                "amount_unformatted": 77.4000000000001,
                "currency": "USD"
              }
            }
          ],
          "badges": [
            {
              "name": "Early 2026 Deal",
              "tooltip": "This property is offering a discount on stays between Jan 1 and Apr 1 2026.",
              "style": "constructive",
              "identifier": "Early Year Deals"
            }
          ],
          "charges_info": null,
          "excluded_charges": {
            "aggregated": {
              "copy": null,
              "amount_per_stay": {
                "amount": "$46.44",
                "amount_rounded": "$46",
                "amount_unformatted": 46.4400000000001,
                "currency": "USD"
              }
            },
            "list": [
              {
                "charge_type": 23,
                "charge_mode": "PERCENTAGE",
                "charge_inclusion": "EXCLUDED",
                "amount_per_stay": {
                  "amount": "$46.44",
                  "amount_rounded": "$46",
                  "amount_unformatted": 46.4400000000001,
                  "currency": "USD"
                }
              }
            ]
          },
          "use_rounded_amount": false
        },
        "room_blocks": 1,
        "meal_plan": {
          "type": "MEAL_PLAN",
          "text": "Breakfast included"
        },
        "genius_info": { ... },
        "persuasion_flags": { ... },
        "recommended_dates": { ... }
      },
      { ... }
    ]
  }
 

Example response (401, Unauthenticated):


{
    "message": "Unauthenticated."
}
 

Example response (404, Not Found):


{
    "success": false,
    "message": "Resource Not Found"
}
 

Example response (422, Error Validations):


{
    "message": "The ticker field is required.",
    "errors": {
        "ticker": [
            "The ticker field is required."
        ]
    }
}
 

Request      

GET v1/booking/hotels/search-by-coordinates

Headers

Authorization Bearer {YOUR_AUTH_KEY}

Query Parameters

Parameter Type Description
latitude required string

numeric Latitude coordinate. Example: 35.458611

longitude required string

numeric Longitude coordinate. Example: -97.600556

radius optional integer

optional Search radius in kilometers (default: 10). Example: 10

checkin optional string

optional Check-in date (YYYY-MM-DD). Example: 2027-01-24

checkout optional string

optional Check-out date (YYYY-MM-DD). Example: 2027-01-27

adults optional integer

optional Number of adults (default: 2). Example: 2

children optional integer

optional Number of children (default: 0).

rooms optional integer

optional Number of rooms (default: 1).

children_ages optional string

optional Comma-separated ages of children. Example: 5,8

language optional string

optional Language code (default: en-us). Example: en-us

min_price optional integer

optional Minimum price per night. Example: 50

max_price optional integer

optional Maximum price per night. Example: 300

stars optional integer[]

optional Star ratings filter (comma-separated).

limit optional integer

optional Maximum number of results (default: 20, max: 50).

page optional integer

optional Page number for pagination (default: 1).

GET /v1/hotels/details

requires authentication

Get comprehensive details for a specific hotel/property.

Example request:
import requests
import json

url = 'https://api.steadyapi.com/v1/booking/hotels/details'
params = {
  'hotel_id': '2572691',
  'checkin': '2027-01-24',
  'checkout': '2027-01-27',
  'adults': '2',
  'children': '0',
  'rooms': '1',
  'children_ages': '5,8',
  'currency': 'EUR',
  'language': 'en-us',
}
headers = {
  'Authorization': 'Bearer {YOUR_AUTH_KEY}'
}

response = requests.request('GET', url, headers=headers, params=params)
response.json()
$client = new \GuzzleHttp\Client();
$url = 'https://api.steadyapi.com/v1/booking/hotels/details';
$response = $client->get(
    $url,
    [
        'headers' => [
            'Authorization' => 'Bearer {YOUR_AUTH_KEY}',
        ],
        'query' => [
            'hotel_id' => '2572691',
            'checkin' => '2027-01-24',
            'checkout' => '2027-01-27',
            'adults' => '2',
            'children' => '0',
            'rooms' => '1',
            'children_ages' => '5,8',
            'currency' => 'EUR',
            'language' => 'en-us',
        ],
    ]
);
$body = $response->getBody();
print_r(json_decode((string) $body));
const url = new URL(
    "https://api.steadyapi.com/v1/booking/hotels/details"
);

const params = {
    "hotel_id": "2572691",
    "checkin": "2027-01-24",
    "checkout": "2027-01-27",
    "adults": "2",
    "children": "0",
    "rooms": "1",
    "children_ages": "5,8",
    "currency": "EUR",
    "language": "en-us",
};
Object.keys(params)
    .forEach(key => url.searchParams.append(key, params[key]));

const headers = {
    "Authorization": "Bearer {YOUR_AUTH_KEY}",
    "Accept": "application/json",
};

fetch(url, {
    method: "GET",
    headers,
}).then(response => response.json());
curl --request GET \
    --get "https://api.steadyapi.com/v1/booking/hotels/details?hotel_id=2572691&checkin=2027-01-24&checkout=2027-01-27&adults=2&children=0&rooms=1&children_ages=5%2C8&currency=EUR&language=en-us" \
    --header "Authorization: Bearer {YOUR_AUTH_KEY}"

Example response (200, Success):


{
    "meta": {
        "version": "v1.0",
        "status": 200,
        "copywrite": "https://steadyapi.com",
        "hotel_id": "2572691",
        "checkin": "2026-11-15",
        "checkout": "2026-11-18",
        "adults": "2",
        "children": 0,
        "rooms": "1",
        "language": "en-us",
        "currency": "USD"
    },
    "body": {
        "hotel_id": 2572691,
        "name": "La Quinta by Wyndham Oklahoma City Airport",
        "description": "Providing free toiletries, this family room includes a private bathroom with a bath, a shower and a hairdryer. This family room is air-conditioned and features a flat-screen TV, a tea and coffee maker, a wardrobe and a tiled floor. The unit offers 2 beds.",
        "accommodation_type": 204,
        "accommodation_type_name": "HOTEL",
        "ufi": 20103321,
        "page_name": "la-quinta-inn-suites-oklahoma-city-airport",
        "booking_url": "https://www.booking.com/hotel/us/la-quinta-inn-suites-oklahoma-city-airport.html?checkin=2026-11-15&checkout=2026-11-18&group_adults=2&group_children=0&no_rooms=1",
        "facilities": [
            {
                "name": "Bath",
                "group": "BATHROOM_PRIVATE"
            },
            {
                "name": "Free toiletries",
                "group": "BATHROOM_PRIVATE"
            },
            {
                "name": "Shower",
                "group": "BATHROOM_PRIVATE"
            },
            {
                "name": "Toilet",
                "group": "BATHROOM_PRIVATE"
            },
            {
                "name": "Towels",
                "group": "BATHROOM_PRIVATE"
            },
            {
                "name": "Hairdryer",
                "group": "BATHROOM_PRIVATE"
            }
        ],
        "checkin_time": null,
        "checkout_time": null,
        "location": {
            "address": "808 S Meridian Ave",
            "formatted_address": "808 S Meridian Ave, Oklahoma City, OK",
            "country_code": "us",
            "coordinates": {
                "latitude": 35.458611,
                "longitude": -97.600556
            },
            "beach_distance": null,
            "main_distance": null,
            "nearby_beach_names": [],
            "location_score": 8.5,
            "location_formatted_score": "8.5",
            "location_text": "Location"
        },
        "photos": {
            "low_res": "https://cf.bstatic.com/xdata/images/hotel/square240/226690967.webp?k=8288ed35831fb235a9a93b3042d933358718d9eee2ed99243ef3deef6ccefd92&o=",
            "high_res": "https://cf.bstatic.com/xdata/images/hotel/square600/226690967.webp?k=8288ed35831fb235a9a93b3042d933358718d9eee2ed99243ef3deef6ccefd92&o=",
            "gallery": [
                "https://cf.bstatic.com/xdata/images/hotel/square600/226690967.webp?k=8288ed35831fb235a9a93b3042d933358718d9eee2ed99243ef3deef6ccefd92&o=",
                "https://cf.bstatic.com/xdata/images/hotel/square240/226690967.webp?k=8288ed35831fb235a9a93b3042d933358718d9eee2ed99243ef3deef6ccefd92&o="
            ]
        },
        "ratings": {
            "internal": {
                "score": 8.2,
                "count": 1001,
                "total_score_text": "Very Good",
                "secondary_score": 0,
                "secondary_text": null,
                "show_secondary_score": false
            },
            "external": {
                "score": null,
                "count": null,
                "total_score_text": null
            },
            "star_rating": {
                "value": 3,
                "symbol": "NONE"
            }
        },
        "availability": {
            "is_sold_out": false,
            "alternative_dates": [],
            "is_newly_opened": false,
            "is_tpi_exclusive": false
        },
        "policies": {
            "free_cancellation": true,
            "no_prepayment": true
        },
        "price_info": {
            "display_price": {
                "copy": "Total",
                "amount_per_stay": {
                    "amount": "$240",
                    "amount_rounded": "$240",
                    "amount_unformatted": 240,
                    "currency": "USD"
                }
            },
            "average_price_per_night": {
                "amount": "$80",
                "amount_rounded": "$80",
                "amount_unformatted": 80.0000000000001,
                "currency": "USD"
            },
            "price_before_discount": {
                "copy": null,
                "amount_per_stay": {
                    "amount": "",
                    "amount_rounded": "",
                    "amount_unformatted": 0,
                    "currency": ""
                }
            },
            "discounts": [],
            "badges": [],
            "charges_info": null,
            "excluded_charges": {
                "aggregated": {
                    "copy": null,
                    "amount_per_stay": {
                        "amount": "$42.91",
                        "amount_rounded": "$43",
                        "amount_unformatted": 42.9120000000001,
                        "currency": "USD"
                    }
                },
                "list": [
                    {
                        "charge_type": 23,
                        "charge_mode": "PERCENTAGE",
                        "charge_inclusion": "EXCLUDED",
                        "amount_per_stay": {
                            "amount": "$42.91",
                            "amount_rounded": "$43",
                            "amount_unformatted": 42.9120000000001,
                            "currency": "USD"
                        }
                    }
                ]
            },
            "use_rounded_amount": false
        },
        "room_blocks": [
            {
                "room_name": "King Room",
                "meal_plan": "Breakfast included",
                "block_id": {
                    "room_id": "257269102",
                    "room_name": "King Room",
                    "occupancy": 3,
                    "policy_group_id": "246026267",
                    "package_id": "0",
                    "meal_plan_id": 1,
                    "meal_plan": "Breakfast included",
                    "bundle_id": 0
                },
                "final_price": {
                    "amount": 240,
                    "currency": "USD"
                },
                "original_price": {
                    "amount": 240,
                    "currency": "USD"
                },
                "only_x_left_message": {
                    "tag": null,
                    "translation": null,
                    "variables": []
                },
                "free_cancellation_until": "2026-11-14T06:00:00Z",
                "has_crib": false,
                "block_match_tags": {
                    "child_stays_for_free": false
                },
                "third_party_inventory": {
                    "is_tpi_block": false
                }
            }
        ],
        "unit_configurations": {
            "common": {
                "name": null,
                "unit_id": 0,
                "bed_configurations": [
                    {
                        "beds": [
                            {
                                "count": 1,
                                "type": 3
                            }
                        ],
                        "nb_all_beds": 1
                    }
                ],
                "nb_all_beds": 1,
                "nb_bathrooms": 0,
                "nb_bedrooms": 0,
                "nb_kitchens": 0,
                "nb_livingrooms": 0,
                "nb_units": 1,
                "unit_type_names": [],
                "localized_area": {
                    "area": null,
                    "unit": null
                }
            },
            "units": []
        },
        "genius_info": {
            "show_genius_rate_badge": false,
            "genius_benefits": {
                "hotel_card_has_free_room_upgrade": false
            }
        },
        "persuasion_flags": {
            "preferred": true,
            "preferred_plus": false,
            "highlighted": false,
            "show_native_ad_label": false
        },
        "meal_plan": {
            "type": "MEAL_PLAN",
            "text": "Breakfast included"
        },
        "recommended_dates": {
            "checkin": "",
            "checkout": ""
        }
    }
}
 

Example response (401, Unauthenticated):


{
    "message": "Unauthenticated."
}
 

Example response (404, Not Found):


{
    "success": false,
    "message": "Resource Not Found"
}
 

Example response (422, Error Validations):


{
    "message": "The ticker field is required.",
    "errors": {
        "ticker": [
            "The ticker field is required."
        ]
    }
}
 

Request      

GET v1/booking/hotels/details

Headers

Authorization Bearer {YOUR_AUTH_KEY}

Query Parameters

Parameter Type Description
hotel_id required integer

Booking.com hotel ID. Example: 2572691

checkin optional string

optional Check-in date (YYYY-MM-DD). Example: 2027-01-24

checkout optional string

optional Check-out date (YYYY-MM-DD). Example: 2027-01-27

adults optional integer

optional Number of adults (default: 2). Example: 2

children optional integer

optional Number of children (default: 0). Example: 0

rooms optional integer

optional Number of rooms (default: 1). Example: 1

children_ages optional string

optional Comma-separated ages of children. Example: 5,8

currency optional string

optional Currency code. Example: EUR

language optional string

optional Language code (default: en-us). Example: en-us

GET /v1/hotels/rooms

requires authentication

Get detailed room information including photos, bed configurations, facilities, privacy levels, and room-specific review scores.

Example request:
import requests
import json

url = 'https://api.steadyapi.com/v1/booking/hotels/rooms'
params = {
  'hotel_id': '2572691',
  'language': 'en-us',
  'rooms': '1',
  'adults': '2',
}
headers = {
  'Authorization': 'Bearer {YOUR_AUTH_KEY}'
}

response = requests.request('GET', url, headers=headers, params=params)
response.json()
$client = new \GuzzleHttp\Client();
$url = 'https://api.steadyapi.com/v1/booking/hotels/rooms';
$response = $client->get(
    $url,
    [
        'headers' => [
            'Authorization' => 'Bearer {YOUR_AUTH_KEY}',
        ],
        'query' => [
            'hotel_id' => '2572691',
            'language' => 'en-us',
            'rooms' => '1',
            'adults' => '2',
        ],
    ]
);
$body = $response->getBody();
print_r(json_decode((string) $body));
const url = new URL(
    "https://api.steadyapi.com/v1/booking/hotels/rooms"
);

const params = {
    "hotel_id": "2572691",
    "language": "en-us",
    "rooms": "1",
    "adults": "2",
};
Object.keys(params)
    .forEach(key => url.searchParams.append(key, params[key]));

const headers = {
    "Authorization": "Bearer {YOUR_AUTH_KEY}",
    "Accept": "application/json",
};

fetch(url, {
    method: "GET",
    headers,
}).then(response => response.json());
curl --request GET \
    --get "https://api.steadyapi.com/v1/booking/hotels/rooms?hotel_id=2572691&language=en-us&rooms=1&adults=2" \
    --header "Authorization: Bearer {YOUR_AUTH_KEY}"

Example response (200, Success):


{
    "meta": {
      "version": "v1.0",
      "status": 200,
      "copywrite": "https://steadyapi.com",
      "hotel_id": "2572691",
      "language": "en-us",
      "total_rooms": 8,
      "search_config": {
        "rooms": 1,
        "adults": 2,
        "children": 0,
        "children_ages": [],
        "travel_reason": "LEISURE"
      },
      "has_review_scores": true,
      "timestamp": 1769321456000
    },
    "body": {
      "property": {
        "id": 2572691,
        "name": "La Quinta by Wyndham Oklahoma City Airport",
        "accommodation_type": {
          "type": "HOTEL",
          "__typename": "PropertyType",
          "id": 204
        },
        "has_designated_smoking_area": false,
        "area_measurement_unit": "SQUARE_FEET",
        "has_rooms_with_different_privacy_levels": false
      },
      "rooms": [
        {
          "id": 257269101,
          "hotel_id": "2572691",
          "room_type_id": 13,
          "name": "Queen Room with Two Queen Beds",
          "description": "Providing free toiletries, this family room includes a private bathroom with a bath, a shower and a hairdryer. This family room is air-conditioned and features a flat-screen TV, a tea and coffee maker, a wardrobe and a tiled floor. The unit offers 2 beds.",
          "size": {
            "square_meters": 27.87,
            "is_bigger_than_average": false
          },
          "privacy_level": 1,
          "occupancy": {
            "max_guests": 5,
            "max_persons": 5,
            "max_children": 4
          },
          "bed_configurations": [
            {
              "id": 1,
              "beds": [
                {
                  "type": "LARGE_DOUBLE_BED",
                  "count": 2,
                  "translation": "Queen bed(s)"
                }
              ]
            }
          ],
          "apartment_rooms": [],
          "bathrooms": {
            "count": 0,
            "facilities": {
              "is_ensuite_bathroom": false,
              "is_external_bathroom": false
            }
          },
          "smoking_policy": {
            "is_smoking": false,
            "has_designated_area": null
          },
          "photos": [
            {
              "id": 264839682,
              "url": "https://cf.bstatic.com/xdata/images/hotel/max1024x768/264839682.jpg?k=846be3ceef43d15efddf71f8c24167eea96127b3a2a0e31860e61899e557505e&o=",
              "thumbnail_url": "https://cf.bstatic.com/xdata/images/hotel/square60/264839682.jpg?k=846be3ceef43d15efddf71f8c24167eea96127b3a2a0e31860e61899e557505e&o="
            },
            { ... }
          ],
          "facilities": [
            {
              "category": "BATHROOM_PRIVATE",
              "facilities": [
                {
                  "id": 5,
                  "name": "Bathtub"
                },
                {
                  "id": 27,
                  "name": "Free toiletries"
                },
                { ... }
              ]
            },
            {
              "category": "OTHER",
              "facilities": [
                {
                  "id": 11,
                  "name": "Air conditioning"
                },
                {
                  "id": 125,
                  "name": "Linens"
                },
                { ... }
              ]
            }
          ],
          "highlights": {
            "privacy": "PRIVACY_LEVEL_1",
            "size": 300,
            "room_facilities": [
              {
                "id": 5,
                "name": "Bathtub"
              },
              { ... }
            ],
            "hotel_facilities": [ ... ]
          },
          "cribs": {
            "available_for_free": true
          },
          "metadata": {
            "total_photos": 8,
            "has_multiple_bed_configs": false,
            "has_apartment_layout": false,
            "privacy_type": "unknown"
          }
        },
        { ... }
      ],
      "facilities_summary": { ... },
      "review_scores": [ ... ]
    }
  }
 

Example response (401, Unauthenticated):


{
    "message": "Unauthenticated."
}
 

Example response (404, Not Found):


{
    "success": false,
    "message": "Resource Not Found"
}
 

Example response (422, Error Validations):


{
    "message": "The ticker field is required.",
    "errors": {
        "ticker": [
            "The ticker field is required."
        ]
    }
}
 

Request      

GET v1/booking/hotels/rooms

Headers

Authorization Bearer {YOUR_AUTH_KEY}

Query Parameters

Parameter Type Description
hotel_id required integer

Booking.com hotel ID. Example: 2572691

language optional string

optional Language code (default: en-us). Example: en-us

rooms optional integer

optional Number of rooms (default: 1). Example: 1

adults optional integer

optional Number of adults (default: 2). Example: 2

children optional integer

optional Number of children (default: 0).

children_ages optional string

optional Comma-separated children ages (e.g., "5,8").

travel_reason optional string

optional Travel reason: LEISURE, BUSINESS (default: LEISURE).

include_review_scores optional boolean

optional Include room review scores (default: true).

review_questions optional string

optional Comma-separated review questions (e.g., "bed_comfort,cleanliness").

customer_type optional string

optional Customer type: ALL, FAMILY, COUPLE, SOLO, BUSINESS, FRIENDS (default: ALL).

GET /v1/hotels/availability

requires authentication

Get availability and pricing calendar for a hotel showing available dates, prices, and minimum stay requirements over a specified period.

Example request:
import requests
import json

url = 'https://api.steadyapi.com/v1/booking/hotels/availability'
params = {
  'hotel_id': '2572691',
  'start_date': '',
  'days': '7',
  'language': 'en-us',
  'children_ages': '5,8',
}
headers = {
  'Authorization': 'Bearer {YOUR_AUTH_KEY}'
}

response = requests.request('GET', url, headers=headers, params=params)
response.json()
$client = new \GuzzleHttp\Client();
$url = 'https://api.steadyapi.com/v1/booking/hotels/availability';
$response = $client->get(
    $url,
    [
        'headers' => [
            'Authorization' => 'Bearer {YOUR_AUTH_KEY}',
        ],
        'query' => [
            'hotel_id' => '2572691',
            'start_date' => '',
            'days' => '7',
            'language' => 'en-us',
            'children_ages' => '5,8',
        ],
    ]
);
$body = $response->getBody();
print_r(json_decode((string) $body));
const url = new URL(
    "https://api.steadyapi.com/v1/booking/hotels/availability"
);

const params = {
    "hotel_id": "2572691",
    "start_date": "",
    "days": "7",
    "language": "en-us",
    "children_ages": "5,8",
};
Object.keys(params)
    .forEach(key => url.searchParams.append(key, params[key]));

const headers = {
    "Authorization": "Bearer {YOUR_AUTH_KEY}",
    "Accept": "application/json",
};

fetch(url, {
    method: "GET",
    headers,
}).then(response => response.json());
curl --request GET \
    --get "https://api.steadyapi.com/v1/booking/hotels/availability?hotel_id=2572691&start_date=&days=7&language=en-us&children_ages=5%2C8" \
    --header "Authorization: Bearer {YOUR_AUTH_KEY}"

Example response (200, Success):


{
    "meta": {
      "version": "v1.0",
      "status": 200,
      "copywrite": "https://steadyapi.com",
      "hotel_id": "2572691",
      "hotel_name": "la-quinta-inn-suites-oklahoma-city-airport",
      "language": "en-us",
      "country_code": "us",
      "has_availability": true,
      "period": {
        "start_date": "2026-01-01",
        "end_date": "2026-03-02",
        "days_requested": 60
      },
      "search_config": {
        "adults": 2,
        "rooms": 1,
        "children": 0,
        "travel_purpose": 2
      },
      "timestamp": 1769326227000
    },
    "body": {
      "calendar": [
        {
          "date": "2026-01-01",
          "available": true,
          "checkin": "2026-02-10",
          "price_formatted": "$74",
          "min_stay": 1,
          "is_past_date": true
        },
        { ... }
      ],
      "summary": {
        "total_days": 60,
        "available_days": 60,
        "available_percentage": 100
      }
    }
  }
 

Example response (401, Unauthenticated):


{
    "message": "Unauthenticated."
}
 

Example response (404, Not Found):


{
    "success": false,
    "message": "Resource Not Found"
}
 

Example response (422, Error Validations):


{
    "message": "The ticker field is required.",
    "errors": {
        "ticker": [
            "The ticker field is required."
        ]
    }
}
 

Request      

GET v1/booking/hotels/availability

Headers

Authorization Bearer {YOUR_AUTH_KEY}

Query Parameters

Parameter Type Description
hotel_id required integer

Booking.com hotel ID. Example: 2572691

start_date required string

date Start date in YYYY-MM-DD format.

days optional integer

optional Number of days to check (default: 28, min: 1, max: 90). Example: 7

language optional string

optional Language code (default: en-us). Example: en-us

adults optional integer

optional Number of adults (default: 2, min: 1).

rooms optional integer

optional Number of rooms (default: 1, min: 1, max: 10).

children optional integer

optional Number of children (default: 0).

children_ages optional string

optional Comma-separated list of children ages. Example: 5,8

travel_purpose optional integer

optional Travel purpose: 1=leisure, 2=business (default: 2).

GET /v1/hotels/reviews

requires authentication

Retrieve hotel reviews with filtering, sorting, and pagination using Booking.com API.

Example request:
import requests
import json

url = 'https://api.steadyapi.com/v1/booking/hotels/reviews'
params = {
  'hotel_id': '2572691',
  'language': 'en-us',
  'sort': 'NEWEST_FIRST',
  'score': '4',
  'topic': 'clean',
}
headers = {
  'Authorization': 'Bearer {YOUR_AUTH_KEY}'
}

response = requests.request('GET', url, headers=headers, params=params)
response.json()
$client = new \GuzzleHttp\Client();
$url = 'https://api.steadyapi.com/v1/booking/hotels/reviews';
$response = $client->get(
    $url,
    [
        'headers' => [
            'Authorization' => 'Bearer {YOUR_AUTH_KEY}',
        ],
        'query' => [
            'hotel_id' => '2572691',
            'language' => 'en-us',
            'sort' => 'NEWEST_FIRST',
            'score' => '4',
            'topic' => 'clean',
        ],
    ]
);
$body = $response->getBody();
print_r(json_decode((string) $body));
const url = new URL(
    "https://api.steadyapi.com/v1/booking/hotels/reviews"
);

const params = {
    "hotel_id": "2572691",
    "language": "en-us",
    "sort": "NEWEST_FIRST",
    "score": "4",
    "topic": "clean",
};
Object.keys(params)
    .forEach(key => url.searchParams.append(key, params[key]));

const headers = {
    "Authorization": "Bearer {YOUR_AUTH_KEY}",
    "Accept": "application/json",
};

fetch(url, {
    method: "GET",
    headers,
}).then(response => response.json());
curl --request GET \
    --get "https://api.steadyapi.com/v1/booking/hotels/reviews?hotel_id=2572691&language=en-us&sort=NEWEST_FIRST&score=4&topic=clean" \
    --header "Authorization: Bearer {YOUR_AUTH_KEY}"

Example response (200, Success):


{
    "meta": {
      "version": "v1.0",
      "status": 200,
      "copywrite": "https://steadyapi.com",
      "hotel_id": "2572691",
      "language": "en-us",
      "total_reviews": 755,
      "has_reviews": true,
      "pagination": {
        "skip": "10",
        "limit": 10,
        "total": 755,
        "has_more": true,
        "next_skip": 20
      },
      "sort_options": [
        {
          "value": "MOST_RELEVANT",
          "name": "Most relevant"
        },
        {
          "value": "NEWEST_FIRST",
          "name": "Newest first"
        },
        {
          "value": "OLDEST_FIRST",
          "name": "Oldest first"
        },
        {
          "value": "SCORE_DESC",
          "name": "Highest scores"
        },
        {
          "value": "SCORE_ASC",
          "name": "Lowest scores"
        }
      ],
      "current_sort": "NEWEST_FIRST",
      "score": "ALL",
      "timestamp": 1769301171000
    },
    "body": {
      "reviews": [
        {
        "id": "134cd3fee145284f85950605d23d39db",
        "hotel_id": "2572691",
        "review_url": "7a7956e20eca73cd",
        "guest": {
            "username": "Scott",
            "is_anonymous": false,
            "country": {
            "code": "us",
            "name": "United States",
            "show_flag": true
            },
            "avatar": {
            "url": "https://graph.facebook.com/v2.9/10207316841399212/picture?type=square&height=64&width=64",
            "color": null
            },
            "guest_type": "Solo traveler"
        },
        "booking": {
            "customer_type": "SOLO_TRAVELLERS",
            "room": {
            "id": 257269102,
            "type": "King Room"
            },
            "stay_dates": {
            "checkin": "2025-11-08",
            "checkout": "2025-11-09"
            },
            "nights": 1,
            "status": "stayed"
        },
        "text": {
            "title": null,
            "positive": "An Amazing bed, great shower, great bathroom, plenty of room, great room. The breakfast was excellent.",
            "negative": "The landscape needs a little help, and please dump the outdoor trash cans.",
            "language": "xu",
            "is_translatable": false
        },
        "score": {
            "overall": 9,
            "breakdown": null
        },
        "dates": {
            "reviewed": 1767242551,
            "stay": {
            "month": null,
            "year": null
            }
        },
        "metrics": {
            "helpful_votes": 0,
            "is_approved": true
        },
        "photos": [],
        "partner_reply": {
            "reply": "Thank you for taking the time to share your feedback. We’re delighted to hear that you enjoyed the bed, room, bathroom, shower, and our breakfast—your kind words mean a lot to our team.\n\nWe also appreciate you bringing the landscaping and outdoor trash cans to our attention. Your comments have been noted, and we will address these areas to ensure an improved experience for future guests. We hope to have the opportunity to welcome you back again."
        },
        "highlights": {
            "positive": [],
            "negative": []
        }
        },
        { ... }
      ],
      "summary": [
        {
          "category": "hotel_staff",
          "translation": "Staff",
          "score": 8.39221096038818,
          "average_range": {
            "ufiScoreHigherBound": 9.43247509002686,
            "ufiScoreLowerBound": 7.39169979095459
          }
        },
        { ... }
      ],
      "filters": { ... },
      "stats": {
        "average_score": null,
        "distribution": [
          {
            "score": "ALL",
            "name": "All (755)",
            "count": 755
          },
          {
            "score": "REVIEW_ADJ_SUPERB",
            "name": "Wonderful: 9+ (436)",
            "count": 436
          },
          { ... }
        ]
      }
    }
  }
 

Example response (401, Unauthenticated):


{
    "message": "Unauthenticated."
}
 

Example response (404, Not Found):


{
    "success": false,
    "message": "Resource Not Found"
}
 

Example response (422, Error Validations):


{
    "message": "The ticker field is required.",
    "errors": {
        "ticker": [
            "The ticker field is required."
        ]
    }
}
 

Request      

GET v1/booking/hotels/reviews

Headers

Authorization Bearer {YOUR_AUTH_KEY}

Query Parameters

Parameter Type Description
hotel_id required integer

Booking.com hotel ID. Example: 2572691

language optional string

optional Language code (default: en-us). Example: en-us

sort optional string

optional Sort order: NEWEST_FIRST, MOST_RELEVANT, HIGHEST_SCORE_FIRST, LOWEST_SCORE_FIRST (default: NEWEST_FIRST). Example: NEWEST_FIRST

skip optional integer

optional Number of reviews to skip for pagination (default: 0).

limit optional integer

optional Number of reviews per page (default: 10, max: 50).

text optional string

optional Filter reviews containing specific text.

score optional string

optional Filter by score: 1=very_poor, 2=poor, 3=average, 4=good, 5=superb. Example: 4

topic optional string

optional Topics: breakfast,clean,room,airport,parking,safe,dog or IDs. Example: clean

guest_type optional string

optional Filter by guest type: FAMILY, COUPLE, SOLO, BUSINESS, FRIENDS.

GET /v1/hotels/nearby-attractions

requires authentication

Get detailed information about what's nearby a hotel including airports, landmarks, restaurants, beaches, public transport, and natural attractions.

Example request:
import requests
import json

url = 'https://api.steadyapi.com/v1/booking/hotels/nearby-attractions'
params = {
  'hotel_id': '2572691',
  'language': 'en-us',
}
headers = {
  'Authorization': 'Bearer {YOUR_AUTH_KEY}'
}

response = requests.request('GET', url, headers=headers, params=params)
response.json()
$client = new \GuzzleHttp\Client();
$url = 'https://api.steadyapi.com/v1/booking/hotels/nearby-attractions';
$response = $client->get(
    $url,
    [
        'headers' => [
            'Authorization' => 'Bearer {YOUR_AUTH_KEY}',
        ],
        'query' => [
            'hotel_id' => '2572691',
            'language' => 'en-us',
        ],
    ]
);
$body = $response->getBody();
print_r(json_decode((string) $body));
const url = new URL(
    "https://api.steadyapi.com/v1/booking/hotels/nearby-attractions"
);

const params = {
    "hotel_id": "2572691",
    "language": "en-us",
};
Object.keys(params)
    .forEach(key => url.searchParams.append(key, params[key]));

const headers = {
    "Authorization": "Bearer {YOUR_AUTH_KEY}",
    "Accept": "application/json",
};

fetch(url, {
    method: "GET",
    headers,
}).then(response => response.json());
curl --request GET \
    --get "https://api.steadyapi.com/v1/booking/hotels/nearby-attractions?hotel_id=2572691&language=en-us" \
    --header "Authorization: Bearer {YOUR_AUTH_KEY}"

Example response (200, Success):


{
    "meta": {
      "version": "v1.0",
      "status": 200,
      "copywrite": "https://steadyapi.com",
      "hotel_id": "2572691",
      "language": "en-us",
      "has_surroundings": true,
      "categories_found": [
        "airports",
        "dining",
        "landmarks",
        "public_transport",
        "natural_beauty"
      ],
      "category_counts": {
        "airports": 1,
        "dining": 2,
        "landmarks": 2,
        "public_transport": 3,
        "natural_beauty": 5
      },
      "include_ski": false,
      "include_commute": false,
      "timestamp": 1769319132000
    },
    "body": {
      "attractions": {
        "airports": [
          {
            "id": "67559",
            "legacy_id": 207,
            "name": "Will Rogers World Airport",
            "type": "airport",
            "geo_class": "Airports",
            "location": {
              "latitude": 35.3953,
              "longitude": -97.5962
            },
            "distance": {
              "raw": 5.238,
              "localized": "3.3 mi"
            },
            "real_distance": {
              "isIsolated": false,
              "commuteTime": {
                "byCarLocalized": "7 min",
                "byFootLocalized": "1 hr 17 min"
              },
              "commuteDistance": {
                "byCarLocalized": "4.7 mi",
                "byCarMeters": 7512,
                "byFootMeters": 6472,
                "byFootLocalized": "4 mi"
              }
            },
            "commute": null,
            "metadata": {
              "has_commute_info": true,
              "is_isolated": false
            }
          }
        ],
        "dining": { ... },
        "landmarks": { ... },
        "public_transport": { ... },
        "natural_beauty": { ... }
      },
      "summary": {
        "total_categories": 5,
        "total_items": 17,
        "closest_item": {
          "id": "8348708",
          "name": "Maple Korean BBQ",
          "type": "restaurant",
          "geo_class": "Restaurants",
          "cuisine_type": null,
          "location": {
            "latitude": 35.45921,
            "longitude": -97.59996
          },
          "distance": {
            "raw": 0.085,
            "localized": "250 ft"
          },
          "real_distance": {
            "commuteDistance": {
              "byFootLocalized": "600 ft",
              "byCarLocalized": "650 ft",
              "byCarMeters": 207,
              "byFootMeters": 193
            },
            "commuteTime": {
              "byFootLocalized": "2 min",
              "byCarLocalized": "1 min"
            },
            "isIsolated": false
          },
          "commute": null,
          "metadata": {
            "has_commute_info": true,
            "is_isolated": false
          }
        }
      }
    }
  }
 

Example response (401, Unauthenticated):


{
    "message": "Unauthenticated."
}
 

Example response (404, Not Found):


{
    "success": false,
    "message": "Resource Not Found"
}
 

Example response (422, Error Validations):


{
    "message": "The ticker field is required.",
    "errors": {
        "ticker": [
            "The ticker field is required."
        ]
    }
}
 

Request      

GET v1/booking/hotels/nearby-attractions

Headers

Authorization Bearer {YOUR_AUTH_KEY}

Query Parameters

Parameter Type Description
hotel_id required integer

Booking.com hotel ID. Example: 2572691

language optional string

optional Language code (default: en-us). Example: en-us

include_ski optional boolean

optional Include ski surroundings (default: false).

include_commute optional boolean

optional Include commute information (default: false).

max_airports optional integer

optional Max airports to return (default: 3).

max_airport_distance optional integer

optional Max distance for airports in km (default: 100).

max_landmarks optional integer

optional Max landmarks to return (default: 10).

max_landmark_distance optional integer

optional Max distance for landmarks in km (default: 20).

max_restaurants optional integer

optional Max restaurants to return (default: 3).

max_restaurant_distance optional integer

optional Max distance for restaurants in km (default: 50).

max_beaches optional integer

optional Max beaches to return (default: 5).

max_beach_distance optional integer

optional Max distance for beaches in km (default: 10).

max_transport optional integer

optional Max transport stations to return (default: 2).

max_transport_distance optional integer

optional Max distance for transport in km (default: 20).

max_natural optional integer

optional Max natural attractions to return (default: 1).

max_natural_distance optional integer

optional Max distance for natural attractions in km (default: 15).

GET /v1/hotels/faq

requires authentication

Get frequently asked questions for a specific hotel from Booking.com.

Example request:
import requests
import json

url = 'https://api.steadyapi.com/v1/booking/hotels/faq'
params = {
  'hotel_id': '2572691',
  'language': 'en-us',
}
headers = {
  'Authorization': 'Bearer {YOUR_AUTH_KEY}'
}

response = requests.request('GET', url, headers=headers, params=params)
response.json()
$client = new \GuzzleHttp\Client();
$url = 'https://api.steadyapi.com/v1/booking/hotels/faq';
$response = $client->get(
    $url,
    [
        'headers' => [
            'Authorization' => 'Bearer {YOUR_AUTH_KEY}',
        ],
        'query' => [
            'hotel_id' => '2572691',
            'language' => 'en-us',
        ],
    ]
);
$body = $response->getBody();
print_r(json_decode((string) $body));
const url = new URL(
    "https://api.steadyapi.com/v1/booking/hotels/faq"
);

const params = {
    "hotel_id": "2572691",
    "language": "en-us",
};
Object.keys(params)
    .forEach(key => url.searchParams.append(key, params[key]));

const headers = {
    "Authorization": "Bearer {YOUR_AUTH_KEY}",
    "Accept": "application/json",
};

fetch(url, {
    method: "GET",
    headers,
}).then(response => response.json());
curl --request GET \
    --get "https://api.steadyapi.com/v1/booking/hotels/faq?hotel_id=2572691&language=en-us" \
    --header "Authorization: Bearer {YOUR_AUTH_KEY}"

Example response (200, Success):


{
    "meta": {
      "version": "v1.0",
      "status": 200,
      "copywrite": "https://steadyapi.com",
      "hotel_id": "2572691",
      "language": "en-us",
      "country_code": "us",
      "has_faq": true,
      "faq_title": "FAQs about La Quinta by Wyndham Oklahoma City Airport",
      "total_questions": 8,
      "timestamp": 1769327086000
    },
    "body": [
      {
        "id": 1,
        "question": "What kind of breakfast is served at La Quinta by Wyndham Oklahoma City Airport?",
        "answer": "Guests staying at La Quinta by Wyndham Oklahoma City Airport can enjoy a highly-rated breakfast during their stay (guest review score: 8.2).\n\nBreakfast option(s) include: [ITEM_LIST]Continental;American;Buffet[/ITEM_LIST]"
      },
      { ... }
    ]
  }
 

Example response (401, Unauthenticated):


{
    "message": "Unauthenticated."
}
 

Example response (404, Not Found):


{
    "success": false,
    "message": "Resource Not Found"
}
 

Example response (422, Error Validations):


{
    "message": "The ticker field is required.",
    "errors": {
        "ticker": [
            "The ticker field is required."
        ]
    }
}
 

Request      

GET v1/booking/hotels/faq

Headers

Authorization Bearer {YOUR_AUTH_KEY}

Query Parameters

Parameter Type Description
hotel_id required integer

Booking.com hotel ID. Example: 2572691

language optional string

optional Language code (default: en-us). Example: en-us

Flights & Details

Flight search, availability, and booking functionality.

GET /v1/flights/autocomplete

requires authentication

Flight destination autocomplete for airports, cities, and regions. Used for flight search input fields.

Example request:
import requests
import json

url = 'https://api.steadyapi.com/v1/booking/flights/autocomplete'
params = {
  'search': 'okc',
  'language': 'en',
}
headers = {
  'Authorization': 'Bearer {YOUR_AUTH_KEY}'
}

response = requests.request('GET', url, headers=headers, params=params)
response.json()
$client = new \GuzzleHttp\Client();
$url = 'https://api.steadyapi.com/v1/booking/flights/autocomplete';
$response = $client->get(
    $url,
    [
        'headers' => [
            'Authorization' => 'Bearer {YOUR_AUTH_KEY}',
        ],
        'query' => [
            'search' => 'okc',
            'language' => 'en',
        ],
    ]
);
$body = $response->getBody();
print_r(json_decode((string) $body));
const url = new URL(
    "https://api.steadyapi.com/v1/booking/flights/autocomplete"
);

const params = {
    "search": "okc",
    "language": "en",
};
Object.keys(params)
    .forEach(key => url.searchParams.append(key, params[key]));

const headers = {
    "Authorization": "Bearer {YOUR_AUTH_KEY}",
    "Accept": "application/json",
};

fetch(url, {
    method: "GET",
    headers,
}).then(response => response.json());
curl --request GET \
    --get "https://api.steadyapi.com/v1/booking/flights/autocomplete?search=okc&language=en" \
    --header "Authorization: Bearer {YOUR_AUTH_KEY}"

Example response (200, Success):


{
    "meta": {
        "version": "v1.0",
        "status": 200,
        "copywrite": "https://steadyapi.com",
        "query": "cvg",
        "language": "en",
        "total_results": 1
    },
    "body": [
        {
            "type": "AIRPORT",
            "name": "Cincinnati/Northern Kentucky International Airport",
            "code": "CVG",
            "city": "Cincinnati",
            "region": "Ohio",
            "country": "United States",
            "photo_uri": "https://q-xx.bstatic.com/xdata/images/city/square150/648134.jpg?k=f6570e159ef41c78e7b17192aa3cbdbc538da0ba2e06d325fd400140f3b20b91&o=",
            "distance_to_city": {
                "value": 14.1991694153932,
                "unit": "km"
            }
        }
    ]
}
 

Example response (401, Unauthenticated):


{
    "message": "Unauthenticated."
}
 

Example response (404, Not Found):


{
    "success": false,
    "message": "Resource Not Found"
}
 

Example response (422, Error Validations):


{
    "message": "The ticker field is required.",
    "errors": {
        "ticker": [
            "The ticker field is required."
        ]
    }
}
 

Request      

GET v1/booking/flights/autocomplete

Headers

Authorization Bearer {YOUR_AUTH_KEY}

Query Parameters

Parameter Type Description
search required string

Search query (airport code, city name, or region). Example: okc

language optional string

optional Language code (default: en). Example: en

requires authentication

Search for flight options between two locations with specified dates and passengers. Returns flight options with pricing, schedules, and filtering aggregations.

Example request:
import requests
import json

url = 'https://api.steadyapi.com/v1/booking/flights/search'
params = {
  'from': 'CVG.AIRPORT',
  'to': 'OKC.AIRPORT',
  'depart': '2027-02-02',
  'return': '2027-02-05',
  'type': 'ROUNDTRIP',
  'adults': '1',
  'infants': '1',
  'cabinClass': 'ECONOMY',
  'fromCountry': 'US',
  'toCountry': 'US',
  'currency': 'USD',
  'language': 'en',
  'stops': '0,1',
  'airlines': 'WN,AA',
  'max_price': '400',
}
headers = {
  'Authorization': 'Bearer {YOUR_AUTH_KEY}'
}

response = requests.request('GET', url, headers=headers, params=params)
response.json()
$client = new \GuzzleHttp\Client();
$url = 'https://api.steadyapi.com/v1/booking/flights/search';
$response = $client->get(
    $url,
    [
        'headers' => [
            'Authorization' => 'Bearer {YOUR_AUTH_KEY}',
        ],
        'query' => [
            'from' => 'CVG.AIRPORT',
            'to' => 'OKC.AIRPORT',
            'depart' => '2027-02-02',
            'return' => '2027-02-05',
            'type' => 'ROUNDTRIP',
            'adults' => '1',
            'infants' => '1',
            'cabinClass' => 'ECONOMY',
            'fromCountry' => 'US',
            'toCountry' => 'US',
            'currency' => 'USD',
            'language' => 'en',
            'stops' => '0,1',
            'airlines' => 'WN,AA',
            'max_price' => '400',
        ],
    ]
);
$body = $response->getBody();
print_r(json_decode((string) $body));
const url = new URL(
    "https://api.steadyapi.com/v1/booking/flights/search"
);

const params = {
    "from": "CVG.AIRPORT",
    "to": "OKC.AIRPORT",
    "depart": "2027-02-02",
    "return": "2027-02-05",
    "type": "ROUNDTRIP",
    "adults": "1",
    "infants": "1",
    "cabinClass": "ECONOMY",
    "fromCountry": "US",
    "toCountry": "US",
    "currency": "USD",
    "language": "en",
    "stops": "0,1",
    "airlines": "WN,AA",
    "max_price": "400",
};
Object.keys(params)
    .forEach(key => url.searchParams.append(key, params[key]));

const headers = {
    "Authorization": "Bearer {YOUR_AUTH_KEY}",
    "Accept": "application/json",
};

fetch(url, {
    method: "GET",
    headers,
}).then(response => response.json());
curl --request GET \
    --get "https://api.steadyapi.com/v1/booking/flights/search?from=CVG.AIRPORT&to=OKC.AIRPORT&depart=2027-02-02&return=2027-02-05&type=ROUNDTRIP&adults=1&infants=1&cabinClass=ECONOMY&fromCountry=US&toCountry=US&currency=USD&language=en&stops=0%2C1&airlines=WN%2CAA&max_price=400" \
    --header "Authorization: Bearer {YOUR_AUTH_KEY}"

Example response (200, Success):


{
    "meta": {
      "version": "v1.0",
      "status": 200,
      "copywrite": "https://steadyapi.com",
      "search_id": "B5E03A22839B15A1CF169A86EDF15633",
      "total_results": 15,
      "total_pages": 2,
      "current_page": 1,
      "page_size": 10
    },
    "body": {
      "aggregation": {
        "totalCount": 441,
        "total_count": 441,
        "filteredTotalCount": 441,
        "stops": [
          {
            "numberOfStops": 1,
            "count": 208,
            "minPrice": {
              "currencyCode": "USD",
              "units": 1969,
              "nanos": 200000000,
              "amount": 1969.2
            },
            "minPriceRound": {
              "currencyCode": "USD",
              "units": 1970,
              "nanos": 0,
              "amount": 1970
            },
            "minPricePerAdult": {
              "currencyCode": "USD",
              "units": 657,
              "nanos": 0,
              "amount": 657
            },
            "cheapestAirline": {
              "name": "Southwest Airlines",
              "code": "WN",
              "logo": "https://r-xx.bstatic.com/data/airlines_logo/WN.png"
            }
          },
          {
            "numberOfStops": 2,
            "count": 441,
            "minPrice": {
              "currencyCode": "USD",
              "units": 1969,
              "nanos": 200000000,
              "amount": 1969.2
            },
            "minPriceRound": {
              "currencyCode": "USD",
              "units": 1970,
              "nanos": 0,
              "amount": 1970
            },
            "minPricePerAdult": {
              "currencyCode": "USD",
              "units": 657,
              "nanos": 0,
              "amount": 657
            },
            "cheapestAirline": {
              "name": "Southwest Airlines",
              "code": "WN",
              "logo": "https://r-xx.bstatic.com/data/airlines_logo/WN.png"
            }
          }
        ],
        "airlines": [
          {
            "name": "American Airlines",
            "logoUrl": "https://r-xx.bstatic.com/data/airlines_logo/AA.png",
            "iataCode": "AA",
            "count": 209,
            "minPrice": {
              "currencyCode": "USD",
              "units": 1974,
              "nanos": 580000000,
              "amount": 1974.58
            },
            "minPricePerAdult": {
              "currencyCode": "USD",
              "units": 659,
              "nanos": 0,
              "amount": 659
            }
          },
          {
            "name": "Southwest Airlines",
            "logoUrl": "https://r-xx.bstatic.com/data/airlines_logo/WN.png",
            "iataCode": "WN",
            "count": 134,
            "minPrice": {
              "currencyCode": "USD",
              "units": 1969,
              "nanos": 200000000,
              "amount": 1969.2
            },
            "minPricePerAdult": {
              "currencyCode": "USD",
              "units": 657,
              "nanos": 0,
              "amount": 657
            }
          },
          {
            "name": "United Airlines",
            "logoUrl": "https://r-xx.bstatic.com/data/airlines_logo/UA.png",
            "iataCode": "UA",
            "count": 98,
            "minPrice": {
              "currencyCode": "USD",
              "units": 1998,
              "nanos": 10000000,
              "amount": 1998.01
            },
            "minPricePerAdult": {
              "currencyCode": "USD",
              "units": 667,
              "nanos": 0,
              "amount": 667
            }
          }
        ],
        "departureIntervals": [
          {
            "start": "05:55",
            "end": "17:55"
          },
          {
            "start": "05:00",
            "end": "17:00"
          }
        ],
        "flightTimes": [
          {
            "arrival": [
              {
                "start": "00:00",
                "end": "05:59",
                "count": 0
              },
              {
                "start": "06:00",
                "end": "11:59",
                "count": 61
              },
              {
                "start": "12:00",
                "end": "17:59",
                "count": 106
              },
              {
                "start": "18:00",
                "end": "23:59",
                "count": 274
              }
            ],
            "departure": [
              {
                "start": "00:00",
                "end": "05:59",
                "count": 21
              },
              {
                "start": "06:00",
                "end": "11:59",
                "count": 159
              },
              {
                "start": "12:00",
                "end": "17:59",
                "count": 261
              },
              {
                "start": "18:00",
                "end": "23:59",
                "count": 0
              }
            ]
          },
          {
            "arrival": [
              {
                "start": "00:00",
                "end": "05:59",
                "count": 0
              },
              {
                "start": "06:00",
                "end": "11:59",
                "count": 10
              },
              {
                "start": "12:00",
                "end": "17:59",
                "count": 254
              },
              {
                "start": "18:00",
                "end": "23:59",
                "count": 177
              }
            ],
            "departure": [
              {
                "start": "00:00",
                "end": "05:59",
                "count": 73
              },
              {
                "start": "06:00",
                "end": "11:59",
                "count": 250
              },
              {
                "start": "12:00",
                "end": "17:59",
                "count": 118
              },
              {
                "start": "18:00",
                "end": "23:59",
                "count": 0
              }
            ]
          }
        ],
        "shortLayoverConnection": {
          "count": 142
        },
        "durationMin": 5,
        "durationMax": 16,
        "minPrice": {
          "currencyCode": "USD",
          "units": 1969,
          "nanos": 200000000,
          "amount": 1969.2
        },
        "minRoundPrice": {
          "currencyCode": "USD",
          "units": 1970,
          "nanos": 0,
          "amount": 1970
        },
        "minPricePerAdult": {
          "currencyCode": "USD",
          "units": 656,
          "nanos": 400000000,
          "amount": 656.4
        },
        "minPriceFiltered": {
          "currencyCode": "USD",
          "units": 1969,
          "nanos": 200000000,
          "amount": 1969.2
        },
        "baggage": [
          {
            "paramName": "includedBaggage",
            "count": 441,
            "enabled": true,
            "baggageType": "CABIN"
          },
          {
            "paramName": "includedBaggage",
            "count": 0,
            "enabled": false,
            "baggageType": "CHECKIN"
          }
        ],
        "budget": {
          "paramName": "maxBudget",
          "min": {
            "currencyCode": "USD",
            "units": 1969,
            "nanos": 200000000,
            "amount": 1969.2
          },
          "max": {
            "currencyCode": "USD",
            "units": 4311,
            "nanos": 780000000,
            "amount": 4311.78
          }
        },
        "budgetPerAdult": {
          "paramName": "maxBudgetPerAdult",
          "min": {
            "currencyCode": "USD",
            "units": 656,
            "nanos": 400000000,
            "amount": 656.4
          },
          "max": {
            "currencyCode": "USD",
            "units": 1437,
            "nanos": 260000000,
            "amount": 1437.26
          }
        },
        "duration": [
          {
            "min": 5,
            "max": 16,
            "durationType": "JOURNEY",
            "enabled": true,
            "paramName": "maxDuration"
          },
          {
            "min": 1,
            "max": 11,
            "durationType": "LAYOVER",
            "enabled": true,
            "paramName": "maxLayoverDuration"
          }
        ],
        "flexibleTicket": {
          "count": 209
        },
        "filtersOrder": []
      },
      "flightOffers": [
        {
          "token": "c8e49_528902410ab36854e72a5245e09bd5ecd8217dee997c8f87a3a8c2c815bfb874dfda29f96a5fab84a452565361dafd1b94d86d312c76b53a01edd4bd9f4f1107da8ec2bb191083d1797e353b371196875c0de0aafc1af993098962dfa6151e4ed77ae992768063948ee481eb1f661217594971aff9027b714e206ca6969b5ccd336e9187fd6f8679e292a211214bd7e553f849b3459f6fbc71029939a8adfa9b224f148e06f81576182cb080304e2399586e435319635befe70fcb9a74fe2ab56b4bcb364f1e1d1360244e97057250885fed255617543a26ca887c0147ceaaf5c9814edaf04eb7952e438475737cb7599c583360cd2f7d00c2f5b0f3bf99451153301dade6947cce9284e7b2",
          "offer_token": "c8e49_528902410ab36854e72a5245e09bd5ecd8217dee997c8f87a3a8c2c815bfb874dfda29f96a5fab84a452565361dafd1b94d86d312c76b53a01edd4bd9f4f1107da8ec2bb191083d1797e353b371196875c0de0aafc1af993098962dfa6151e4ed77ae992768063948ee481eb1f661217594971aff9027b714e206ca6969b5ccd336e9187fd6f8679e292a211214bd7e553f849b3459f6fbc71029939a8adfa9b224f148e06f81576182cb080304e2399586e435319635befe70fcb9a74fe2ab56b4bcb364f1e1d1360244e97057250885fed255617543a26ca887c0147ceaaf5c9814edaf04eb7952e438475737cb7599c583360cd2f7d00c2f5b0f3bf99451153301dade6947cce9284e7b2",
          "segments": [
            {
              "departureAirport": {
                "type": "AIRPORT",
                "code": "CVG",
                "name": "Cincinnati/Northern Kentucky International Airport",
                "city": "CVG",
                "cityName": "Cincinnati",
                "country": "US",
                "countryName": "United States",
                "province": "Ohio",
                "provinceCode": "OH"
              },
              "arrivalAirport": {
                "type": "AIRPORT",
                "code": "OKC",
                "name": "Will Rogers World Airport",
                "city": "OKC",
                "cityName": "Oklahoma City",
                "country": "US",
                "countryName": "United States",
                "province": "Oklahoma",
                "provinceCode": "OK"
              },
              "departureTime": "2026-02-02T07:00:00",
              "arrivalTime": "2026-02-02T10:35:00",
              "legs": [
                {
                  "departureTime": "2026-02-02T07:00:00",
                  "arrivalTime": "2026-02-02T07:25:00",
                  "departureAirport": {
                    "type": "AIRPORT",
                    "code": "CVG",
                    "name": "Cincinnati/Northern Kentucky International Airport",
                    "city": "CVG",
                    "cityName": "Cincinnati",
                    "country": "US",
                    "countryName": "United States",
                    "province": "Ohio",
                    "provinceCode": "OH"
                  },
                  "arrivalAirport": {
                    "type": "AIRPORT",
                    "code": "MDW",
                    "name": "Midway International Airport",
                    "city": "CHI",
                    "cityName": "Chicago",
                    "country": "US",
                    "countryName": "United States",
                    "province": "Illinois",
                    "provinceCode": "IL"
                  },
                  "cabinClass": "ECONOMY",
                  "flightInfo": {
                    "facilities": [],
                    "flightNumber": 4926,
                    "planeType": "7S7",
                    "carrierInfo": {
                      "operatingCarrier": "WN",
                      "marketingCarrier": "WN",
                      "operatingCarrierDisclosureText": ""
                    }
                  },
                  "carriers": [
                    "WN",
                    "WN"
                  ],
                  "carriersData": [
                    {
                      "name": "Southwest Airlines",
                      "code": "WN",
                      "logo": "https://r-xx.bstatic.com/data/airlines_logo/WN.png"
                    },
                    {
                      "name": "Southwest Airlines",
                      "code": "WN",
                      "logo": "https://r-xx.bstatic.com/data/airlines_logo/WN.png"
                    }
                  ],
                  "totalTime": 5100,
                  "flightStops": [],
                  "amenities": [],
                  "departureTimeTz": "2026-02-02T07:00:00-05:00",
                  "arrivalTimeTz": "2026-02-02T07:25:00-06:00"
                },
                {
                  "departureTime": "2026-02-02T08:15:00",
                  "arrivalTime": "2026-02-02T10:35:00",
                  "departureAirport": {
                    "type": "AIRPORT",
                    "code": "MDW",
                    "name": "Midway International Airport",
                    "city": "CHI",
                    "cityName": "Chicago",
                    "country": "US",
                    "countryName": "United States",
                    "province": "Illinois",
                    "provinceCode": "IL"
                  },
                  "arrivalAirport": {
                    "type": "AIRPORT",
                    "code": "OKC",
                    "name": "Will Rogers World Airport",
                    "city": "OKC",
                    "cityName": "Oklahoma City",
                    "country": "US",
                    "countryName": "United States",
                    "province": "Oklahoma",
                    "provinceCode": "OK"
                  },
                  "cabinClass": "ECONOMY",
                  "flightInfo": {
                    "facilities": [],
                    "flightNumber": 4893,
                    "planeType": "7S7",
                    "carrierInfo": {
                      "operatingCarrier": "WN",
                      "marketingCarrier": "WN",
                      "operatingCarrierDisclosureText": ""
                    }
                  },
                  "carriers": [
                    "WN",
                    "WN"
                  ],
                  "carriersData": [
                    {
                      "name": "Southwest Airlines",
                      "code": "WN",
                      "logo": "https://r-xx.bstatic.com/data/airlines_logo/WN.png"
                    },
                    {
                      "name": "Southwest Airlines",
                      "code": "WN",
                      "logo": "https://r-xx.bstatic.com/data/airlines_logo/WN.png"
                    }
                  ],
                  "totalTime": 8400,
                  "flightStops": [],
                  "amenities": [],
                  "departureTimeTz": "2026-02-02T08:15:00-06:00",
                  "arrivalTimeTz": "2026-02-02T10:35:00-06:00"
                }
              ],
              "totalTime": 16500,
              "travellerCheckedLuggage": [],
              "travellerCabinLuggage": [
                {
                  "travellerReference": "1",
                  "luggageAllowance": {
                    "luggageType": "HAND",
                    "maxPiece": 1,
                    "sizeRestrictions": {
                      "maxLength": 23.6,
                      "maxWidth": 15.8,
                      "maxHeight": 9.8,
                      "sizeUnit": "INCH"
                    }
                  },
                  "personalItem": true
                },
                {
                  "travellerReference": "2",
                  "luggageAllowance": {
                    "luggageType": "HAND",
                    "maxPiece": 1,
                    "sizeRestrictions": {
                      "maxLength": 23.6,
                      "maxWidth": 15.8,
                      "maxHeight": 9.8,
                      "sizeUnit": "INCH"
                    }
                  },
                  "personalItem": true
                },
                {
                  "travellerReference": "3",
                  "luggageAllowance": {
                    "luggageType": "HAND",
                    "maxPiece": 1,
                    "sizeRestrictions": {
                      "maxLength": 23.6,
                      "maxWidth": 15.8,
                      "maxHeight": 9.8,
                      "sizeUnit": "INCH"
                    }
                  },
                  "personalItem": true
                }
              ],
              "isAtolProtected": false,
              "departureTimeTz": "2026-02-02T07:00:00-05:00",
              "arrivalTimeTz": "2026-02-02T10:35:00-06:00",
              "showWarningDestinationAirport": false,
              "showWarningOriginAirport": false
            },
            {
              "departureAirport": {
                "type": "AIRPORT",
                "code": "OKC",
                "name": "Will Rogers World Airport",
                "city": "OKC",
                "cityName": "Oklahoma City",
                "country": "US",
                "countryName": "United States",
                "province": "Oklahoma",
                "provinceCode": "OK"
              },
              "arrivalAirport": {
                "type": "AIRPORT",
                "code": "CVG",
                "name": "Cincinnati/Northern Kentucky International Airport",
                "city": "CVG",
                "cityName": "Cincinnati",
                "country": "US",
                "countryName": "United States",
                "province": "Ohio",
                "provinceCode": "OH"
              },
              "departureTime": "2026-02-05T15:10:00",
              "arrivalTime": "2026-02-05T20:15:00",
              "legs": [
                {
                  "departureTime": "2026-02-05T15:10:00",
                  "arrivalTime": "2026-02-05T17:15:00",
                  "departureAirport": {
                    "type": "AIRPORT",
                    "code": "OKC",
                    "name": "Will Rogers World Airport",
                    "city": "OKC",
                    "cityName": "Oklahoma City",
                    "country": "US",
                    "countryName": "United States",
                    "province": "Oklahoma",
                    "provinceCode": "OK"
                  },
                  "arrivalAirport": {
                    "type": "AIRPORT",
                    "code": "MDW",
                    "name": "Midway International Airport",
                    "city": "CHI",
                    "cityName": "Chicago",
                    "country": "US",
                    "countryName": "United States",
                    "province": "Illinois",
                    "provinceCode": "IL"
                  },
                  "cabinClass": "ECONOMY",
                  "flightInfo": {
                    "facilities": [],
                    "flightNumber": 2991,
                    "planeType": "7S7",
                    "carrierInfo": {
                      "operatingCarrier": "WN",
                      "marketingCarrier": "WN",
                      "operatingCarrierDisclosureText": ""
                    }
                  },
                  "carriers": [
                    "WN",
                    "WN"
                  ],
                  "carriersData": [
                    {
                      "name": "Southwest Airlines",
                      "code": "WN",
                      "logo": "https://r-xx.bstatic.com/data/airlines_logo/WN.png"
                    },
                    {
                      "name": "Southwest Airlines",
                      "code": "WN",
                      "logo": "https://r-xx.bstatic.com/data/airlines_logo/WN.png"
                    }
                  ],
                  "totalTime": 7500,
                  "flightStops": [],
                  "amenities": [],
                  "departureTimeTz": "2026-02-05T15:10:00-06:00",
                  "arrivalTimeTz": "2026-02-05T17:15:00-06:00"
                },
                {
                  "departureTime": "2026-02-05T18:05:00",
                  "arrivalTime": "2026-02-05T20:15:00",
                  "departureAirport": {
                    "type": "AIRPORT",
                    "code": "MDW",
                    "name": "Midway International Airport",
                    "city": "CHI",
                    "cityName": "Chicago",
                    "country": "US",
                    "countryName": "United States",
                    "province": "Illinois",
                    "provinceCode": "IL"
                  },
                  "arrivalAirport": {
                    "type": "AIRPORT",
                    "code": "CVG",
                    "name": "Cincinnati/Northern Kentucky International Airport",
                    "city": "CVG",
                    "cityName": "Cincinnati",
                    "country": "US",
                    "countryName": "United States",
                    "province": "Ohio",
                    "provinceCode": "OH"
                  },
                  "cabinClass": "ECONOMY",
                  "flightInfo": {
                    "facilities": [],
                    "flightNumber": 1659,
                    "planeType": "7S7",
                    "carrierInfo": {
                      "operatingCarrier": "WN",
                      "marketingCarrier": "WN",
                      "operatingCarrierDisclosureText": ""
                    }
                  },
                  "carriers": [
                    "WN",
                    "WN"
                  ],
                  "carriersData": [
                    {
                      "name": "Southwest Airlines",
                      "code": "WN",
                      "logo": "https://r-xx.bstatic.com/data/airlines_logo/WN.png"
                    },
                    {
                      "name": "Southwest Airlines",
                      "code": "WN",
                      "logo": "https://r-xx.bstatic.com/data/airlines_logo/WN.png"
                    }
                  ],
                  "totalTime": 4200,
                  "flightStops": [],
                  "amenities": [],
                  "departureTimeTz": "2026-02-05T18:05:00-06:00",
                  "arrivalTimeTz": "2026-02-05T20:15:00-05:00"
                }
              ],
              "totalTime": 14700,
              "travellerCheckedLuggage": [],
              "travellerCabinLuggage": [
                {
                  "travellerReference": "1",
                  "luggageAllowance": {
                    "luggageType": "HAND",
                    "maxPiece": 1,
                    "sizeRestrictions": {
                      "maxLength": 23.6,
                      "maxWidth": 15.8,
                      "maxHeight": 9.8,
                      "sizeUnit": "INCH"
                    }
                  },
                  "personalItem": true
                },
                {
                  "travellerReference": "2",
                  "luggageAllowance": {
                    "luggageType": "HAND",
                    "maxPiece": 1,
                    "sizeRestrictions": {
                      "maxLength": 23.6,
                      "maxWidth": 15.8,
                      "maxHeight": 9.8,
                      "sizeUnit": "INCH"
                    }
                  },
                  "personalItem": true
                },
                {
                  "travellerReference": "3",
                  "luggageAllowance": {
                    "luggageType": "HAND",
                    "maxPiece": 1,
                    "sizeRestrictions": {
                      "maxLength": 23.6,
                      "maxWidth": 15.8,
                      "maxHeight": 9.8,
                      "sizeUnit": "INCH"
                    }
                  },
                  "personalItem": true
                }
              ],
              "isAtolProtected": false,
              "departureTimeTz": "2026-02-05T15:10:00-06:00",
              "arrivalTimeTz": "2026-02-05T20:15:00-05:00",
              "showWarningDestinationAirport": false,
              "showWarningOriginAirport": false
            }
          ],
          "priceBreakdown": {
            "total": {
              "currencyCode": "USD",
              "units": 1969,
              "nanos": 200000000,
              "amount": 1969.2
            },
            "baseFare": {
              "currencyCode": "USD",
              "units": 1691,
              "nanos": 160000000,
              "amount": 1691.16
            },
            "fee": {
              "currencyCode": "USD",
              "units": 0,
              "nanos": 0,
              "amount": 0
            },
            "tax": {
              "currencyCode": "USD",
              "units": 278,
              "nanos": 40000000,
              "amount": 278.04
            },
            "totalRounded": {
              "currencyCode": "USD",
              "nanos": 0,
              "units": 1970,
              "amount": 1970
            },
            "discount": {
              "currencyCode": "USD",
              "units": 0,
              "nanos": 0,
              "amount": 0
            },
            "totalWithoutDiscount": {
              "currencyCode": "USD",
              "units": 1969,
              "nanos": 200000000,
              "amount": 1969.2
            },
            "totalWithoutDiscountRounded": {
              "currencyCode": "USD",
              "nanos": 0,
              "units": 1970,
              "amount": 1970
            },
            "showPriceStrikethrough": false
          },
          "travellerPrices": [
            {
              "travellerPriceBreakdown": {
                "total": {
                  "currencyCode": "USD",
                  "units": 656,
                  "nanos": 400000000,
                  "amount": 656.4
                },
                "baseFare": {
                  "currencyCode": "USD",
                  "units": 563,
                  "nanos": 720000000,
                  "amount": 563.72
                },
                "fee": {
                  "currencyCode": "USD",
                  "units": 0,
                  "nanos": 0,
                  "amount": 0
                },
                "tax": {
                  "currencyCode": "USD",
                  "units": 92,
                  "nanos": 680000000,
                  "amount": 92.68
                },
                "totalRounded": {
                  "currencyCode": "USD",
                  "nanos": 0,
                  "units": 657,
                  "amount": 657
                },
                "discount": {
                  "currencyCode": "USD",
                  "units": 0,
                  "nanos": 0,
                  "amount": 0
                },
                "totalWithoutDiscount": {
                  "currencyCode": "USD",
                  "units": 656,
                  "nanos": 400000000,
                  "amount": 656.4
                },
                "totalWithoutDiscountRounded": {
                  "currencyCode": "USD",
                  "nanos": 0,
                  "units": 657,
                  "amount": 657
                },
                "showPriceStrikethrough": false
              },
              "travellerReference": "1",
              "travellerType": "ADULT"
            },
            {
              "travellerPriceBreakdown": {
                "total": {
                  "currencyCode": "USD",
                  "units": 656,
                  "nanos": 400000000,
                  "amount": 656.4
                },
                "baseFare": {
                  "currencyCode": "USD",
                  "units": 563,
                  "nanos": 720000000,
                  "amount": 563.72
                },
                "fee": {
                  "currencyCode": "USD",
                  "units": 0,
                  "nanos": 0,
                  "amount": 0
                },
                "tax": {
                  "currencyCode": "USD",
                  "units": 92,
                  "nanos": 680000000,
                  "amount": 92.68
                },
                "totalRounded": {
                  "currencyCode": "USD",
                  "nanos": 0,
                  "units": 657,
                  "amount": 657
                },
                "discount": {
                  "currencyCode": "USD",
                  "units": 0,
                  "nanos": 0,
                  "amount": 0
                },
                "totalWithoutDiscount": {
                  "currencyCode": "USD",
                  "units": 656,
                  "nanos": 400000000,
                  "amount": 656.4
                },
                "totalWithoutDiscountRounded": {
                  "currencyCode": "USD",
                  "nanos": 0,
                  "units": 657,
                  "amount": 657
                },
                "showPriceStrikethrough": false
              },
              "travellerReference": "2",
              "travellerType": "KID"
            },
            {
              "travellerPriceBreakdown": {
                "total": {
                  "currencyCode": "USD",
                  "units": 656,
                  "nanos": 400000000,
                  "amount": 656.4
                },
                "baseFare": {
                  "currencyCode": "USD",
                  "units": 563,
                  "nanos": 720000000,
                  "amount": 563.72
                },
                "fee": {
                  "currencyCode": "USD",
                  "units": 0,
                  "nanos": 0,
                  "amount": 0
                },
                "tax": {
                  "currencyCode": "USD",
                  "units": 92,
                  "nanos": 680000000,
                  "amount": 92.68
                },
                "totalRounded": {
                  "currencyCode": "USD",
                  "nanos": 0,
                  "units": 657,
                  "amount": 657
                },
                "discount": {
                  "currencyCode": "USD",
                  "units": 0,
                  "nanos": 0,
                  "amount": 0
                },
                "totalWithoutDiscount": {
                  "currencyCode": "USD",
                  "units": 656,
                  "nanos": 400000000,
                  "amount": 656.4
                },
                "totalWithoutDiscountRounded": {
                  "currencyCode": "USD",
                  "nanos": 0,
                  "units": 657,
                  "amount": 657
                },
                "showPriceStrikethrough": false
              },
[...]
